org.apache.felix.http.samples.whiteboard

## Class TestFilter

- java.lang.Object
- - org.apache.felix.http.samples.whiteboard.TestFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class TestFilter
    extends java.lang.Object
    implements javax.servlet.Filter

### Constructor Summary

Constructors
Constructor and Description
`TestFilter(java.lang.String name)`

### Method Summary

Methods
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestFilter

    public TestFilter(java.lang.String name)

### Method Detail

#### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

Specified by:
  `init` in interface `javax.servlet.Filter`
Throws:
  `javax.servlet.ServletException`

#### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                javax.servlet.ServletResponse res,
                javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.Filter`
Throws:
  `java.io.IOException`
  `javax.servlet.ServletException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Filter`